Package ch.qos.logback.core.joran

# Class JoranConfiguratorBase<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.GenericConfigurator
ch.qos.logback.core.joran.JoranConfiguratorBase<E>

All Implemented Interfaces:
  `ContextAware`

Direct Known Subclasses:
  `JoranConfigurator`, `JoranConfigurator`

public abstract class JoranConfiguratorBase<E> extends GenericConfigurator
A JoranConfiguratorBase lays most of the groundwork for concrete configurators derived from it. Concrete configurators only need to implement the `addInstanceRules(ch.qos.logback.core.joran.spi.RuleStore)` method.

A JoranConfiguratorBase instance should not be used more than once to configure a Context.

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`JoranConfiguratorBase()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addImplicitRules(Interpreter interpreter)`
`protected void`
`addInstanceRules(RuleStore rs)`
`protected void`
`buildInterpreter()`
`InterpretationContext`
`getInterpretationContext()`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`addDefaultNestedComponentRegistryRules, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, initialElementPath, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JoranConfiguratorBase

public JoranConfiguratorBase()

## Method Details

### addInstanceRules

protected void addInstanceRules(RuleStore rs)

Specified by:
  `addInstanceRules` in class `GenericConfigurator`

### addImplicitRules

protected void addImplicitRules(Interpreter interpreter)

Specified by:
  `addImplicitRules` in class `GenericConfigurator`

### buildInterpreter

protected void buildInterpreter()

Overrides:
  `buildInterpreter` in class `GenericConfigurator`

### getInterpretationContext

public InterpretationContext getInterpretationContext()